/* remove ugly arrow from number type input box */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}
/* remove ugly arrow from number type input box */

*{
    margin: 0;
    padding: 0;
    font-family: 'poppins', sans-serif;
    box-sizing: border-box;
}
@font-face{
    font-family: "rpg-font";
    src: url("./font/RPGSystem.ttf");
}
.main{
    width: 100%;
    height: 100vh;
    background-color: #252526;
    background-position: center;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
}
.in{
    width: 100%;
    max-width: 480px;
}
.input-group{
    margin-bottom: 30px;
    position: relative;
    flex-basis: 45%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
input, textarea{
    width: 100%;
    padding: 10px;
    outline: 0;
    border: 1px solid #fff;
    color: #fff;
    background: transparent;
    font-size: 15px;
} 
label{
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    padding: 10px;
    color: #fff;
    cursor: text;
    transition: 0.2s;
    text-align: center;
    width: 100%;
}
button{
    padding: 10px 0;
    color: #fff;
    outline: none;
    background: #1e1e1e;
    border: 1px solid #fff;
    width: 100%;
    cursor: pointer;
    margin-bottom: 30px;
}
select{
    margin-bottom: 30px;
    height: 25px;
    width: 100%;
    position: relative;  
}
input:focus~label,
input:valid~label{
    top: -30px;
    font-size: 14px;
}
.row{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.page-name{
    font-size: 160px;
    font-family: rpg-font;
    text-align: center;
    color: #fff;
}
.page-name-2{
    font-size: 48px;
    margin-bottom: 50px;
    font-family: rpg-font;
    text-align: center;
    color: #fff;
}
.output{
    margin-bottom: 8px;
    font-size: 18px;
    color: #fff;
    text-align: center;
}
.output-2{
    margin-bottom: 30px;
    font-size: 24px;
    color: #fff;
    text-align: center;
}